Ninja trouble: Some rough edges when building copperspice

Discuss anything related to product development

Ninja trouble: Some rough edges when building copperspice

Postby marlowa » Thu Nov 23 2017 2:56 pm

Hello everyone,

Looking at I see there are some rough edges still. I am trying to build on linux mint using cmake 3.5.1, ninja 0.1.3 and g++ 6.1.0.

When I gave the command: cmake -G "Ninja" -DCMAKE_BUILD_TYPE=Release
the first thing that happened was it highlighted that I hadn't installed ninja. I didn't know what that "Ninja" referred to and the webpage doesn't mention this dependency.
With ninja installed, the command then said:
CMake was unable to find a build program corresponding to "Ninja". Turns out that ninja installs into /usr/sbin for some reason, which was not on my PATH.
Then the next error I got was that the version of ninja was too old. But it didn't say what version was required. Looks like an apt install is not enough for ninja, I will have to find the most recent source and build and install that.

I will make further reports as and when I find any other build problems.
Posts: 48
Joined: Sun Oct 25 2015 10:52 am

Return to Developers